#include <bits/stdc++.h>
#include <string>

using namespace std;

int n=0,m=0,i,j,k,br;
int a[100005];
int brKrecenih[100005];
long long minSuma=10000000000000000,s;


void kreci(int index,int tkrec[100005],int zbir[10005])
{
    if(index==n)
    {
        s=0;

        for(k=0;k<n;k++)
        {
            if(tkrec[k]==a[k])
            {
                for(j=0;j<a[k];j++)
                    zbir[j]++;
            }
            else
            {
                for(j=a[k];j<m;j++)
                zbir[j]++;

            }
        }
        for(k=0;k<m;k++)
            {
                s=s+zbir[k]*(m-zbir[k]);
                zbir[k]=0;
            }
        if(s<minSuma&&s>0)
        {
            minSuma=s;
        }
    }
    else
    {
        tkrec[index]=a[index];
        kreci(index+1,tkrec,zbir);
        tkrec[index]=m-a[index];
        kreci(index+1,tkrec,zbir);

    }

}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);

    cin>>n>>m;

    for(i=0;i<n;i++)
        cin>>a[i];

    int tkrec[n];
    int zbir[n];
    kreci(0,tkrec,zbir);

    cout<<minSuma;

    return 0;
}